import Header from "@/components/Blocks/Header/Header";
import Footer from "@/components/Footer/Footer";
import "@/styles/globals.css";
import { Montserrat, Roboto, Roboto_Condensed } from 'next/font/google'

export const montserratFont = Montserrat({
    subsets: ['latin', 'cyrillic'],
})

const mainFont = Roboto({
    subsets: ['latin', 'cyrillic'],
})

export const condensedFont = Roboto_Condensed({
    subsets: ['latin', 'cyrillic'],
})

export const revalidate = 10

export default function GlobalLayout({
    children,
}: {
    children: React.ReactNode;
}) {
    return (
        <html lang="en" className={mainFont.className}>
            <body className="relative min-h-screen flex flex-col overflow-auto">
                <Header />

                <main className="flex-1 px-4 sm:px-0 overflow-x-auto">
                    {children}
                </main>

                <Footer />
            </body>
        </html>
    );
}
